@charset "utf-8";

/* ------------------------------------------ */

/* HOME CSS */

/* ------------------------------------------ */

/* loader ------------------------------------------ */
.loader {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100vw;
    height: 100vh;
    background-color: #fff;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10000;
}

.loader .opening-img {
    display: block;
    width: min(60%, 425px);
    margin-left: -5%;
}

.loader.end {
    animation-name: loader-end;
    animation-duration: 1s;
    animation-timing-function: ease;
    animation-fill-mode: forwards;
}

@keyframes loader-end {
    0% {
        opacity: 1;
        visibility: visible;
    }

    100% {
        opacity: 0;
        visibility: hidden;
    }
}

/* scroll-infinity ------------------------------------------ */
.scroll-infinity {
    overflow: hidden;
}

.scroll-infinity__wrap {
    width: 100%;
    overflow-x: hidden;
    gap: var(--mp50);
    justify-content: center;
}

.scroll-infinity__list {
    flex-wrap: nowrap;
    width: max-content;
}

.scroll-infinity__item {
    height: calc((100vh - (130px + var(--mp80) + var(--mp50))) / 2);
    max-height: max(320px, 33vw);
    min-height: 240px;

    aspect-ratio: 33/32;
    margin: 0 20px;
    border-radius: 15px;
    flex-shrink: 0;
    overflow: hidden;
}

.scroll-infinity__item .inner {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.scroll-infinity__item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.scroll-infinity__item .attached-ttl {
    position: absolute;
    bottom: 8px;
    left: 12px;
    font-size: var(--f-sz14);
    color: rgb(0 0 0 / 60%);
    transition: color ease 0.28s;
}

@media (min-width: 768px) {
    .scroll-infinity__item .inner:hover .attached-ttl {
        color: rgb(0 0 0 / 100%);
    }
}

@media (min-width: 1501px) {
    .scroll-infinity__item {
        height: calc((100vh - (130px + 80px + 50px)) / 2);
    }
}

@media (max-width: 1280px) {
    .scroll-infinity {
        margin-bottom: 20px;
    }

    .scroll-infinity__item {
        margin: 0 15px;
    }
}

@media (max-width: 767px) {
    .scroll-infinity__item {
        max-height: calc(45vw - 10px);
        min-height: 180px;
        margin: 0 10px;
    }

    .scroll-infinity__item .attached-ttl {
        color: rgb(0 0 0 / 80%);
    }
}

@media (max-width: 480px) {
    .scroll-infinity__item {
        max-height: calc(50vw - 10px);
        min-height: 120px;
        margin: 0 5px;
    }
}

/* News ------------------------------------------ */

.news-block {
    position: relative;
}

#sec-news .sec-ttl {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 20px;
    width: min(21.739%, 300px);
}

#sec-news .btnarea {}

.sbox-news .btn::before {
    width: 100vw;
}

.sbox-news .btn {
    padding: 20px 0 20px 40px;
}

.sbox-news .btn::before {
    border-radius: 10px 0 0 10px;
}

.sbox-news .btn-block {
    padding-right: 55px;
}

.news-ttl {
    flex: 1;
}

.sbox-news .btn .arrow03 {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
}

.sbox-news .btn:hover .arrow03 {
    right: -10px;
}

@media (max-width: 1280px) {
    #sec-news .btnarea {
        position: initial;
    }
}

@media (max-width: 991px) {
    #sec-news .sec-ttl {
        width: 100%;
    }
    .news-list {
        flex: initial;
        padding-top: 25px;
        padding-bottom: 25px;
    }

    .sbox-news .icon-date-cat {
        width: 100%;
    }

    .sbox-news .btn-block {
        gap: 10px;
    }

    .sbox-news .date-cat {
        padding-top: 0;
    }
}

@media (max-width: 480px) {
    .sbox-news .btn {
        padding: 20px 0 20px 20px;
    }

    .sbox-news .btn-block {
        row-gap: 10px;
        align-items: end;
        padding-right: 30px;
    }

    .sbox-news .cat-icon {
        grid-row: 1 / 2;
    }

    .news-ttl {
        grid-column: 1 / 3;
    }

    #sec-news .btnarea {
        width: 100%;
    }
}

/* About Us ------------------------------------------ */
#sec-about .t-header {
    column-gap: 20px;
    align-items: end;
}

#sec-about .encopy {
    color: var(--cgly);
}

#sec-about .jp-min {
    line-height: 1.4;
    position: relative;
    color: #fff;
}

#sec-about .jp-min.play {
    animation-name: jpmin-txt;
    animation-timing-function: linear;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes jpmin-txt {
    0% {
        color: #fff;
    }

    50% {
        color: #fff;
    }

    51% {
        color: var(--blk);
    }

    100% {
        color: var(--blk);
    }
}

#sec-about .jp-min::before {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    background-color: var(--blk);
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
    transform: scaleX(0);
    transform-origin: left center;
}

#sec-about .jp-min.play::before {
    animation-name: jpmin_cover;
    animation-timing-function: ease;
    animation-duration: 1s;
    animation-fill-mode: forwards;
}

@keyframes jpmin_cover {
    0% {
        transform: scaleX(0);
        transform-origin: left center;
    }

    50% {
        transform: scaleX(1);
        transform-origin: left center;
    }

    51% {
        transform: scaleX(1);
        transform-origin: right center;
    }

    100% {
        transform: scaleX(0);
        transform-origin: right center;
    }
}

#sec-about .img-inner {
    position: relative;
}

#sec-about .img-inner .bg-rect {
    position: absolute;
    right: max(-5vw, -50px);
    bottom: max(-5vw, -50px);
    z-index: -1;
    display: block;
    width: 200px;
    aspect-ratio: 1/1;
    content: "";
    background-color: #f0f2f1;
    border-radius: 20px;
}

#sec-about .img-wrap {
    height: clamp(26rem, 20.353rem + 18.82vw, 38rem);
    overflow: hidden;
    border-radius: 0 20px 20px 0;
}

@media (max-width: 480px) {
    #sec-about .jp-min {
        font-size: 7.7vw;
    }
}

/* Service ------------------------------------------ */
#sec-service .cont-inr {
    position: relative;
}

#sec-service .cont-inr::before {
    position: absolute;
    top: 0;
    left: 5vw;
    z-index: -1;
    display: block;
    width: 100vw;
    height: 100%;
    content: "";
    background-color: var(--gly);
    border-radius: 50px 0 0 50px;
}

.serv-block {
    width: min(100%, 1200px);
    margin-left: auto;
}

#sec-service .jp-min {
    width: min(28.166%, 338px);
}

.serv-cont {
    flex: 1;
}

.serv-list {
    gap: 60px 22px;
}

.serv-list li {
    position: relative;
    width: calc(50% - 11px);
    min-height: 315px;
    padding: 20px;
    background-color: var(--wht);
    border-radius: 20px;
}

.serv-list li::before {
    position: absolute;
    top: -30px;
    right: 0;
    display: block;
    width: 125px;
    aspect-ratio: 1/1;
    content: "";
    background-repeat: no-repeat;
    background-size: contain;
}

.serv-list li:nth-child(1)::before {
    background-image: url("../img/service/i-service01.svg");
}

.serv-list li:nth-child(2)::before {
    background-image: url("../img/service/i-service02.svg");
}

.serv-list li:nth-child(3)::before {
    background-image: url("../img/service/i-service03.svg");
}

.serv-list li:nth-child(4)::before {
    background-image: url("../img/service/i-service04.svg");
}

#sec-service .header {
    position: relative;
    z-index: 1;
    margin-top: -38px;
}

#sec-service .num {
    display: block;
    margin-bottom: 8px;
    font-family: var(--f-rdx);
    font-size: var(--f-sz36);
    font-weight: normal;
    line-height: 1;
    color: var(--dgly);
}

#sec-service .enttl {
    display: block;
    font-family: var(--f-mtsa);
    font-size: var(--f-sz56);
    font-weight: 600;
    line-height: 1;
    color: var(--blk);
}

#sec-service .jpttl {
    display: block;
    font-size: var(--f-sz28);
    font-weight: bold;
    color: var(--org);
}

#sec-service .jptxt {
    position: relative;
    z-index: 1;
    color: var(--blk);
}

#sec-service .txt-cont p {
    line-height: 1.8;
}

#sec-service .btnarea {
    text-align: right;
}

@media (max-width: 1500px) {
    #sec-service .cont-inr::before {
        left: 2.5vw;
    }
}

@media (max-width: 1300px) {
    #sec-service .cont-inr::before {
        left: 10px;
    }
}

@media (max-width: 1280px) {
    .serv-block {
        row-gap: 40px;
    }

    #sec-service .jp-min {
        width: initial;
    }

    .serv-cont {
        flex: initial;
    }
}

@media (max-width: 640px) {
    .serv-list {
        gap: 28px;
    }

    .serv-list li {
        width: 100%;
        min-height: initial;
    }

    .service-area {
        margin-left: 10px;
    }
}

/* Company ------------------------------------------ */
#sec-company .img-area {
    position: relative;
    z-index: 1;
    flex: 1;
    width: 100%;
}

#sec-company .img-wrap {
    height: clamp(240px, calc(183.53px + 11.765vw), 360px);
    overflow: hidden;
    border-radius: 20px;
}

.comp-block {
    flex-direction: row-reverse;
    gap: 50px;
    align-items: center;
    max-width: 1200px;
    margin-right: auto;
    overflow-x: hidden;
}

@media (max-width: 1280px) {
    .comp-block {
        margin-right: initial;
    }
}

@media (max-width: 1024px) {
    #sec-company .img-area {
        flex: initial;
    }

    .comp-block {
        flex-direction: initial;
        overflow: initial;
    }

    #sec-company .title-area {
        width: 100%;
    }
}

/* Recruit ------------------------------------------ */
#sec-recruit .image-btn-area {
    flex: 1;
}

#sec-recruit .txt-area {
    width: min(34.127%, 430px);
}

#sec-recruit .img-area {
    gap: 10px;
    overflow: hidden;
    border-radius: 20px;
}

#sec-recruit .img-wrap {
    width: calc((100% - 20px) / 3);
}

#sec-recruit .btn {
    display: block;
    padding: 25px 40px 24px 42px;
    background-color: var(--gly);
    border-radius: 20px;
}

#sec-recruit .txt-cont p {
    color: var(--base);
}

#sec-recruit .btn-cont {
    position: relative;
    gap: 15px;
    align-items: center;
    display: block;
}

#sec-recruit .jpttl {
    display: inline-block;
    padding-right: 1.1em;
    position: relative;
}

#sec-recruit .jpttl::after {
    content: "";
    display: block;
    background-image: url("../img/common/icon-blank.svg");
    background-repeat: no-repeat;
    background-size: contain;
    width: 12px;
    aspect-ratio: 1/1;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
}

#sec-recruit .enttl {
    color: var(--org);
}

@media (max-width: 768px) {
    #sec-recruit .btn:hover .arrow04.arrow {
        width: 114px;
        right: 0;
    }
}

@media (max-width: 1280px) {
    #sec-recruit .recr-block {
        gap: 40px;
        margin-right: initial;
    }

    #sec-recruit .txt-area {
        width: initial;
    }

    #sec-recruit .image-btn-area {
        flex: initial;
    }
}

@media (max-width: 640px) {
    #sec-recruit .img-area {
        gap: 5px;
        justify-content: space-between;
    }

    #sec-recruit .img-wrap {
        width: calc((100% - 10px) / 3);
        min-height: 92px;
    }

    #sec-recruit .btn-cont {
        display: block;
    }

    #sec-recruit .btn {
        padding: 20px;
    }
}

@media (max-width: 560px) {
    #sec-recruit .arrow04 {
        position: relative;
        margin-left: auto;
        transform: initial;
    }
}
